<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс DialogWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Класс DialogWindow</div>  </div>
</div><!--header-->
<div class="contents">

<p>Диалог в форме прямоугольника с загнутым кончиком для имитации того, что персонаж "общается".  
 <a href="classDialogWindow.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:DialogWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classDialogWindow__inherit__graph.png" border="0" usemap="#DialogWindow_inherit__map" alt="Inheritance graph"/></div>
<map name="DialogWindow_inherit__map" id="DialogWindow_inherit__map">
<area shape="rect" title="Диалог в форме прямоугольника с загнутым кончиком для имитации того, что персонаж &quot;общается&quot;." alt="" coords="5,80,121,107"/>
<area shape="rect" title=" " alt="" coords="26,5,101,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса DialogWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classDialogWindow__coll__graph.png" border="0" usemap="#DialogWindow_coll__map" alt="Collaboration graph"/></div>
<map name="DialogWindow_coll__map" id="DialogWindow_coll__map">
<area shape="rect" title="Диалог в форме прямоугольника с загнутым кончиком для имитации того, что персонаж &quot;общается&quot;." alt="" coords="5,80,121,107"/>
<area shape="rect" title=" " alt="" coords="26,5,101,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Диалог в форме прямоугольника с загнутым кончиком для имитации того, что персонаж "общается". </p>

<p class="definition">См. определение в файле <a class="el" href="DialogWindow_8qml_source.html">DialogWindow.qml</a> строка <a class="el" href="DialogWindow_8qml_source.html#l00015">15</a></p>
</div><hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="DialogWindow_8qml_source.html">DialogWindow.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
